#include "../inc/Parabola.h"

Parabola::Parabola(double a, double b, double c, int l) {
	this->a = a;
	this->b = b;
	this->c = c;
	this->l = std::abs(l);
	this->firstPoint = Point<int>(0,(int)std::floor(this->c));
	//std::cout << this->firstPoint << std::endl;
	double yc = this->a*this->l*this->l + this->b*this->l + this->c;
	this->lastPoint = Point<int>(this->l,(int) std::floor(yc));
	//std::cout << this->lastPoint << std::endl;
}


bool Parabola::isInside(const Point<int>& p) const {
	double yc = (this->a*p.x*p.x + this->b*p.x + this->c);
	double y = p.y;
	return (y <= yc);
}

