#include "../inc/ContourIterator.h"


ContourIterator::ContourIterator(AbstractContourIterator* pc): c(pc) {}

ContourIterator::ContourIterator(const ContourIterator& i) {
	this->c = i.c->copy();
}

//opérateur d'affectation
ContourIterator& ContourIterator::operator=(const ContourIterator& i) {
	this->c = i.c->copy();
}

ContourIterator::~ContourIterator() {
	if (this->c != 0) delete(this->c);
}

void ContourIterator::operator++() {
	++(*this->c);
}

void ContourIterator::operator--() {
	--(*this->c);
}


Point<int> ContourIterator::operator*() {
	return *(*this->c);
}

bool ContourIterator::operator==(const ContourIterator& t) const {
	return ( (*this->c) == (*(t.c)) );
}

bool ContourIterator::operator!=(const ContourIterator& t) const {
 return ( (*this->c) != (*(t.c)) );
} 


