#ifndef InequalityGEQ_CPP
#define InequalityGEQ_CPP

#include "../inc/InequalityGEQ.h"
#include "../inc/InequalityLEQ.h"

template <class T> bool InequalityGEQ<T>::test(T a, T b) const {
	return (a >= b);
}
template <class T> std::string InequalityGEQ<T>::toString() const {
	return ">=";
}
template <class T> Inequality<T>* InequalityGEQ<T>::copy() const {
	return new InequalityGEQ<T>();
}
template <class T> Inequality<T>* InequalityGEQ<T>::reverseCopy() const {
	return new InequalityLEQ<T>();
}

#endif
