#ifndef InequalityLEQ_CPP
#define InequalityLEQ_CPP

#include "../inc/InequalityGEQ.h"
#include "../inc/InequalityLEQ.h"

template <class T> bool InequalityLEQ<T>::test(T a, T b) const {
	return (a <= b);
}
template <class T> std::string InequalityLEQ<T>::toString() const {
	return "<=";
}
template <class T> Inequality<T>* InequalityLEQ<T>::copy() const {
	return new InequalityLEQ<T>();
}
template <class T> Inequality<T>* InequalityLEQ<T>::reverseCopy() const {
	return new InequalityGEQ<T>();
}

#endif
