#include "../inc/PushPopSegIterator4ClosedContour.h"

PushPopSegIterator4ClosedContour::PushPopSegIterator4ClosedContour(
	FactoryPushPopSeg* pf, 
	std::vector<PushPopSeg*>* pv, 
	const ContourIterator& pi, 
	const ContourIterator& pj) : PushPopSegIterator(pf,pv,pi,pj) {

	this->n = 0;

}

void PushPopSegIterator4ClosedContour::operator++() {

	this->n++;

	if (*i != *j) {
	//si le dernier segment ne recouvre pas tout le contour

		//creation d'un nouveau segment
		v->push_back(fseg->createSeg(v->back()));//clonage
		//suppression a l'arriere
		//tant que je ne peux pas ajouter a l'avant
		do {
			v->back()->pop_back(*i);
			++i;
		} while (!(v->back()->push_front(*j)));
		//croissance vers l'avant
		do {
			++j;
		} while (v->back()->push_front(*j));
	}

}

bool PushPopSegIterator4ClosedContour::operator==(AbstractSegIterator& t) {
	return ( (this->n > 1) && (*(t.getSeg()) == *(this->getSeg())) );
}

bool PushPopSegIterator4ClosedContour::operator!=(AbstractSegIterator& t) {
	return ( (this->n == 0) || (*(t.getSeg()) != *(this->getSeg())) );	
} 

