#include "../inc/SegIterator.h"


SegIterator::SegIterator(AbstractSegIterator* pi): i(pi) {}

SegIterator::~SegIterator() {}

void SegIterator::operator++() {
	++(*this->i);
}


Seg* SegIterator::operator*() {
	return *(*this->i);
}


ContourIterator SegIterator::getFront() {
	return this->i->getFront();
}

ContourIterator SegIterator::getBack() {
	return this->i->getBack();
}

bool SegIterator::operator==(const SegIterator& t) const {
	return ( (*this->i) == (*(t.i)) );
}

bool SegIterator::operator!=(const SegIterator& t) const {
 return ( (*this->i) != (*(t.i)) );
} 


