#include "../inc/AdapterDSS.h"

bool AdapterDSS::push_front(const Point<int>& M) {
	return this->ps->push_front(M);
}
bool AdapterDSS::push_back(const Point<int>& M) {
	return this->ps->push_back(M);
}
bool AdapterDSS::pop_front(const Point<int>& M) {
	return this->ps->pop_front(M);
}
bool AdapterDSS::pop_back(const Point<int>& M) {
	return this->ps->pop_back(M);
}

int AdapterDSS::getA() const {
	return this->ps->getA();
}
int AdapterDSS::getB() const {
	return this->ps->getB();
}

int AdapterDSS::getC1() const {
	return this->ps->getC1();
}
int AdapterDSS::getC2() const {
	return this->ps->getC2();
}

int AdapterDSS::r(const Point<int>& pt) const {
	return (pt.x*this->getA()-pt.y*this->getB()-this->getC());	
}

Point<int> AdapterDSS::getFirst() const {
	return this->ps->getFirst();
}
Point<int> AdapterDSS::getLast() const {
	return this->ps->getLast();
}

bool AdapterDSS::isInside(const Point<int>& M) {
	return this->ps->isInside(M);
}
