#include "../inc/BackFrontSegIterator.h"

BackFrontSegIterator::BackFrontSegIterator(
									FactoryFrontBackSeg* pf, 
									std::vector<FrontBackSeg*>* pv, 
									const ContourIterator& pi, 
									const ContourIterator& pj) : fseg(pf),v(pv), AbstractSegIterator(pi,pj) {}

BackFrontSegIterator::~BackFrontSegIterator() {}


Seg* BackFrontSegIterator::operator*() {
	return this->v->back();
}

Seg* BackFrontSegIterator::getSeg() {
	return this->v->back();
}




