#include "../inc/ClosedContourIterator.h"

ClosedContourIterator::ClosedContourIterator(Contour* cont, int ind) {
	this->c = cont;
	this->i = ind;
	this->ider = this->c->getLength()-1;

}

AbstractContourIterator* ClosedContourIterator::copy() {
	return new ClosedContourIterator(this->c,this->i);
}

void ClosedContourIterator::operator++() {
	if (this->i < this->ider) this->i++;
	else this->i = 1;
}

void ClosedContourIterator::operator--() {
	if (this->i > 0) this->i--;
	else this->i = this->ider-1;
}

bool ClosedContourIterator::operator==(const AbstractContourIterator& t) const {
	return ( (t.c == this->c) && (t.i == this->i) );
}

bool ClosedContourIterator::operator!=(const AbstractContourIterator& t) const {
	return ( (t.c != this->c) || (t.i != this->i) );
} 


