#ifndef InequalityG_CPP
#define InequalityG_CPP

#include "../inc/InequalityG.h"
#include "../inc/InequalityL.h"

template <class T> bool InequalityG<T>::test(T a, T b) const {
	return (a > b);
}
template <class T> std::string InequalityG<T>::toString() const {
	return ">";
}
template <class T> Inequality<T>* InequalityG<T>::copy() const {
	return new InequalityG<T>();
}
template <class T> Inequality<T>* InequalityG<T>::reverseCopy() const {
	return new InequalityL<T>();
}

#endif
