#ifndef InequalityL_CPP
#define InequalityL_CPP

#include "../inc/InequalityG.h"
#include "../inc/InequalityL.h"

template <class T> bool InequalityL<T>::test(T a, T b) const {
	return (a < b);
}

template <class T> std::string InequalityL<T>::toString() const {
	return "<";
}

template <class T> Inequality<T>* InequalityL<T>::copy() const {
	return new InequalityL<T>();
}

template <class T> Inequality<T>* InequalityL<T>::reverseCopy() const {
	return new InequalityG<T>();
}

#endif
